Query FxA devices API for current device name on startup
The new "device registration" feature of Firefox Accounts allows the user to change a device's name from any of their connected Firefox devices. If a user starts a registered Firefox instance, Firefox should query FxA to see if the device's name has changed.